#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module	smmap
Summary:	A pure Python implementation of a sliding window memory map manager
Summary(pl.UTF-8):	Czysto pythonowa implementacja zarządcy odwzorowania w pamięci z przesuwnym oknem
Name:		python3-%{module}
Version:	5.0.1
Release:	3
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://github.com/gitpython-developers/smmap/tags
Source0:	https://github.com/gitpython-developers/smmap/archive/v%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	caa2f7b1b9ed70834d3e9459780201a7
URL:		https://github.com/gitpython-developers/smmap
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A pure Python implementation of a sliding window memory map manager.

%description -l pl.UTF-8
Czysto pythonowa implementacja zarządcy odwzorowania w pamięci z
przesuwnym oknem.

%package apidocs
Summary:	API documentation for Python smmap module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona smmap
Group:		Documentation

%description apidocs
API documentation for Python smmap module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona smmap.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest smmap/test
%endif

%if %{with doc}
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/smmap/test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py3_sitescriptdir}/smmap
%{py3_sitescriptdir}/smmap/*.py
%{py3_sitescriptdir}/smmap/__pycache__
%{py3_sitescriptdir}/smmap-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_static,*.html,*.js}
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-smmap.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 0017427
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 2d67cee
- python 3.13 rebuild

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> d9edfd0
- python-smmap.spec updated to 5.0.1 for python 3.7+

* Thu Apr 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 363073a
- added python2 note

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e0a334f
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> ccee658
- rebuild with python 3.10

* Thu Jan 13 2022 Jan Rękorajski <baggins@pld-linux.org> 4ea0d40
- up to 3.0.5, lsat version supporting python2

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 8b5111c
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2cb1032
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Mar 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 6081241
- typo, release 2

* Thu Mar 21 2019 Jakub Bogusz <qboosh@pld-linux.org> f357508
- updated to 2.0.5, added python3- package

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> c079326
- disable tests, tries to download nosexcover and simple

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> 0415b0f
- up to 2.0.3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 7109e6a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5dc668c
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8063773
- automatic change: use py_build/py_install macros

* Thu Nov 01 2012 Artur Frysiak <artur@frysiak.net> 8e9e710
- New

